#!/bin/bash

set -e

VERSION=$(echo "${CI_COMMIT_TAG#*v}" | cut -d'-' -f1)
PATCHLEVEL=$(echo "${CI_COMMIT_TAG}" | cut -d'-' -f2)
export VERSION PATCHLEVEL

start_gitea() {
  systemctl start gitea
  sleep 10
  if ! systemctl is-active gitea; then
    journalctl -lu gitea --no-pager
  fi
}

restart_gitea() {
  systemctl stop gitea
  start_gitea
}

sleep 5

apt-get update
apt-get -y install curl jq
